org.acplt.oncrpc

## Class OncRpcBroadcastAdapter

- java.lang.Object
- - org.acplt.oncrpc.OncRpcBroadcastAdapter

All Implemented Interfaces:
  OncRpcBroadcastListener

    public abstract class OncRpcBroadcastAdapter
    extends java.lang.Object
    implements OncRpcBroadcastListener

An abstract adapter class for `receiving` `ONC/RPC broadcast reply events`. The methods in this class are empty. This class exists as convenience for creating listener objects.

Version:
  $Revision: 1.1.1.1 $ $Date: 2003/08/13 12:03:40 $ $State: Exp $ $Locker: $
Author:
  Harald Albrecht
See Also:
  `OncRpcUdpClient`, `OncRpcBroadcastAdapter`, `OncRpcBroadcastListener`, `OncRpcBroadcastEvent`

### Constructor Summary

Constructors
Constructor and Description
`OncRpcBroadcastAdapter()`

### Method Summary

Methods
`void` `replyReceived(OncRpcBroadcastEvent evt)` Invoked when a reply to an ONC/RPC broadcast call is received.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OncRpcBroadcastAdapter

    public OncRpcBroadcastAdapter()

### Method Detail

#### replyReceived

    public void replyReceived(OncRpcBroadcastEvent evt)

Invoked when a reply to an ONC/RPC broadcast call is received.

Specified by:
  `replyReceived` in interface `OncRpcBroadcastListener`
See Also:
  `OncRpcBroadcastEvent`